org.gradle.nativebinaries

## Interface ExecutableBinary

- All Superinterfaces:
    Binary, Buildable, BuildableModelElement, Named, NativeBinary

      @Incubating
      public interface ExecutableBinary
      extends NativeBinary

  A binary artifact that is built from of a `Executable`, targeted at a particular platform with specific configuration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Executable` | `getComponent()` The component that this binary was built from.

    - ### Methods inherited from interface org.gradle.nativebinaries.NativeBinary

      `getBuildType, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source`

    - ### Methods inherited from interface org.gradle.language.base.BuildableModelElement

      `builtBy, setLifecycleTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getComponent

          Executable getComponent()

      Description copied from interface: `NativeBinary`
      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinary`